# Get callbacks configuration

Returns the callbacks configuration for the specified project

Endpoint: GET /v1/projects/{projectId}/callbackConfiguration
Version: 1.0.3
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "YOUR_projectId"

## Response 200 fields (application/json):

  - `projectId` (string)
    ID of the project the configuration belongs to.
    Example: "a99aa9aa-b888-777c-dd6d-ee55e5555555"

  - `hmacSecret` (string)
    The HMAC secret used for hashing the callback body using the HMAC-SHA1 algorithm - and for creating the X-Sinch-Signature header.
    Example: "YOUR_hmac_secret"

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: 400

  - `error.message` (string)

  - `error.status` (string)
    Enum: "INVALID_ARGUMENT"

  - `error.details` (array)

  - `error.details.type` (string)
    Enum: "BadRequest"

  - `error.details.fieldViolations` (array)

  - `error.details.fieldViolations.field` (string)

  - `error.details.fieldViolations.description` (string)

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: 404

  - `error.message` (string)

  - `error.status` (string)
    Enum: "NOT_FOUND"

  - `error.details` (array)

  - `error.details.type` (string)

  - `error.details.resourceType` (string)
    The type of the resource that was not found.

  - `error.details.resourceName` (string)
    The name of the resource that was not found.

  - `error.details.owner` (string)
    The owner of the resource that was not found.

  - `error.details.description` (string)
    A description of the error.

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: 500

  - `error.message` (string)

  - `error.status` (string)
    Enum: "INTERNAL", "UNKNOWN"

  - `error.details` (array)


